# Uses of Class
org.opensaml.security.credential.impl.AbstractChainingCredentialResolver

Packages that use AbstractChainingCredentialResolver
Package
Description
org.opensaml.security.credential.impl
`CredentialResolver` implementation classes.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of AbstractChainingCredentialResolver in org.opensaml.security.credential.impl

Subclasses of AbstractChainingCredentialResolver in org.opensaml.security.credential.impl
Modifier and Type
Class
Description
`class`
`ChainingCredentialResolver`
A concrete implementation of `AbstractChainingCredentialResolver` which is scoped to the simple `CredentialResolver` type.
Fields in org.opensaml.security.credential.impl declared as AbstractChainingCredentialResolver
Modifier and Type
Field
Description
`private AbstractChainingCredentialResolver<ResolverType>`
AbstractChainingCredentialResolver.CredentialIterable.`parent`
The chaining credential resolver which owns this instance.
`private AbstractChainingCredentialResolver<ResolverType>`
AbstractChainingCredentialResolver.CredentialIterator.`parent`
The chaining credential resolver which owns this instance.
Constructors in org.opensaml.security.credential.impl with parameters of type AbstractChainingCredentialResolver
Modifier
Constructor
Description
``
`CredentialIterable(AbstractChainingCredentialResolver<ResolverType> resolver, CriteriaSet criteriaSet)`
Constructor.
``
`CredentialIterator(AbstractChainingCredentialResolver<ResolverType> resolver, CriteriaSet criteriaSet)`
Constructor.

## Uses of AbstractChainingCredentialResolver in org.opensaml.xmlsec.keyinfo.impl

Subclasses of AbstractChainingCredentialResolver in org.opensaml.xmlsec.keyinfo.impl
Modifier and Type
Class
Description
`class`
`ChainingKeyInfoCredentialResolver`
A concrete implementation of `AbstractChainingCredentialResolver` which is scoped to the `KeyInfoCredentialResolver` type.